#include <vlib.h>

PSP_MODULE_INFO("Test vLib", 0, 1, 1);
PSP_MAIN_THREAD_ATTR(THREAD_ATTR_USER|THREAD_ATTR_VFPU);

int main()
{
	initVLib(RGB(0,0,0)); // Init vLib. The RGB is the clear color.
	linearFilter(ON); // Turn the linear filter on.

	// Load an image
	Image *texture = loadImage("data/texture.png",IN_RAM);
	
	for(;;)
	{	
		///////////////////
		// Input Section //
		///////////////////
		readInput(MASK_NONE,0,0);
		
		if(button->pressed.start)
			sceKernelExitGame(); // Exit when start is pressed
		
		///////////
		// Setup //
		///////////
		startDrawing(); // Start the drawing routine
		clearScreen(); // Clear the screen
		
		///////////////////
		// Start Drawing //
		///////////////////
		
		// Set drawing to 2D
		setDrawMode(DRAW_2D);
		// Draw image
		drawImage(50, 50, 100, 100, texture); // Draw image
		
		///////////////
		// Finish Up //
		///////////////
		endDrawing(); // End the drawing routine.
		Stats(); // Display the current statistics
		flipScreen(); // Flip the screen
		waitVSync(); // Sync the screen to 60 fps
	}
	
	uninitVLib(); // Uninit vLib
	sceKernelExitGame(); // Exit
	return 0; // Return 0 on success! (won't happen though, we just exited!)
}
